
import os
import sys
import time
import datetime
import random
import string

def generate_random_string(length=10):
    return ''.join(random.choice(string.ascii_letters + string.digits) for _ in range(length))

def list_files_in_directory(directory):
    return [f for f in os.listdir(directory) if os.path.isfile(os.path.join(directory, f))]

def sleep_for_seconds(seconds):
    time.sleep(seconds)

def current_time_formatted():
    return datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")

def get_random_choice(choices):
    return random.choice(choices)

def system_info():
    return {
        'platform': sys.platform,
        'python_version': sys.version,
        'os_name': os.name,
        'os_version': os.release(),
        'machine_type': platform.machine()
    }

